# Created by pyp2rpm-3.1.3
%global pypi_name hddfancontrol

Name:           %{pypi_name}
Version:        1.2.4
Release:        1%{?dist}
Summary:        Control system fan speed by monitoring hard drive temperature

License:        LGPLv3
URL:            https://github.com/desbma/hddfancontrol

Source0:        https://files.pythonhosted.org/packages/source/h/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

# Patch to change requirements.txt to use python-daemon, not python-daemon-3k.
Patch0:         https://tc01.fedorapeople.org/python/hddfancontrol/hddfancontrol-modern-python-daemon.patch

BuildArch:      noarch

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pypandoc, python3-daemon, python3-docutils
BuildRequires:  hddtemp, hdparm

Requires:       python3-daemon
Requires:       python3-docutils
Requires:       python3-setuptools

Requires:       hddtemp, hdparm

%{?python_provide:%python_provide python3-%{pypi_name}}

%description
HDD Fan control is a command line tool to dynamically control fan speed
according to hard drive temperature on Linux.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
cp %{buildroot}/%{_bindir}/hddfancontrol %{buildroot}/%{_bindir}/hddfancontrol-3
ln -sf %{_bindir}/hddfancontrol-3 %{buildroot}/%{_bindir}/hddfancontrol-%{python3_version}

# Remove the "tests" directory that gets installed systemwide.
rm -rf %{buildroot}%{python3_sitelib}/tests

# Run the tests.
%check
%{__python3} setup.py test

%files
%license LICENSE
%doc README.md
%{_bindir}/hddfancontrol
%{_bindir}/hddfancontrol-3
%{_bindir}/hddfancontrol-%{python3_version}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Wed Aug 24 2016 Ben Rosser <rosser.bjr@gmail.com> - 1.2.4-1
- Initial package.
